Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface XmlAnySimpleType

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Subinterfaces:
  XmlAnyURI, XmlBase64Binary, XmlBoolean, XmlByte, XmlDate, XmlDateTime, XmlDecimal, XmlDouble, XmlDuration, XmlENTITIES, XmlENTITY, XmlFloat, XmlGDay, XmlGMonth, XmlGMonthDay, XmlGYear, XmlGYearMonth, XmlHexBinary, XmlID, XmlIDREF, XmlIDREFS, XmlInt, XmlInteger, XmlLanguage, XmlLong, XmlName, XmlNCName, XmlNegativeInteger, XmlNMTOKEN, XmlNMTOKENS, XmlNonNegativeInteger, XmlNonPositiveInteger, XmlNormalizedString, XmlNOTATION, XmlPositiveInteger, XmlQName, XmlShort, XmlString, XmlTime, XmlToken, XmlUnsignedByte, XmlUnsignedInt, XmlUnsignedLong, XmlUnsignedShort

public interface XmlAnySimpleType
extends XmlObject

Corresponds to the XML Schema xs:anySimpleType type.

All simple types are convertible to `String`.

Nested Class Summary
`static class` | `XmlAnySimpleType.Factory` A class with methods for creating instances of `XmlAnySimpleType`.

Field Summary
`static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`String` | `getStringValue()` Returns the value as a `String`
`void` | `set(String s)` Deprecated. replaced by `setStringValue(java.lang.String)`
`void` | `setStringValue(String s)` Sets the value as a `String`
`String` | `stringValue()` Deprecated. replaced by `getStringValue()`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    public static final SchemaType type

  The constant `SchemaType` object representing this schema type.

Method Detail

### stringValue

    public String stringValue()

  Deprecated. replaced by `getStringValue()`

  Returns the value as a `String`

### set

    public void set(String s)

  Deprecated. replaced by `setStringValue(java.lang.String)`

  Sets the value as a `String`

### getStringValue

    public String getStringValue()

  Returns the value as a `String`

### setStringValue

    public void setStringValue(String s)

  Sets the value as a `String`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD